Subject: Re: bug#17700: [PATCH] dfa: speed-up for a pattern that many atoms are catenated
From: Norihiro Tanaka <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: Aharon Robbins <[email-masked]>, [email-masked]
Date: Fri, 06 Jun 2014 22:19:13 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Paul Eggert wrote:
> So it looks like your patch confers some advantage, but on my platform
> almost all the speedup is achieved simply by switching to the system strstr.

First, I tested on CentOS 5.10.  Next, I tested on RHEL 6.5, and get
result as same as you.  strstr() on CentOS 5.10 may be too old.  I'm
sure that this bug has already been fixed.  So closing.

Thanks,
Norihiro